package cn.iocoder.yudao.module.system.service.dingding;

import cn.iocoder.yudao.module.system.controller.admin.user.vo.user.UserSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.user.AdminUserDO;
import com.alibaba.fastjson.JSONObject;
import com.dingtalk.api.response.OapiV2UserGetResponse;

import java.util.Map;

/**
 * <p>DingAuthService 此接口用于：</p>
 * <p>@remark：</p>
 */
public interface DingAuthServiceInfo {

    String decryptText(String signature, String timestamp, String nonce, String encryptMsg);

    Map<String, String> caseProcess(JSONObject plainNode);

    Map<String, String> encryptText(String text);

    AdminUserDO initUser(UserSaveReqVO userSaveReqVO, String corpId, Boolean adminType);
}